<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$ip_client = get_ip();

if(isset($_GET['invite'])) $invite = $_GET['invite'];
else $invite = "";
if (!preg_match("/^[a-zA-Z0-9]*$/i", $invite)) $invite = "";
if(strlen($invite) > 0) $_SESSION['mu_invite'] = $invite;

if (isset($_GET["register"]))
	{
		if($_SESSION['captcha_code_check'] == md5($_GET['vImageCodP'])) {
			    $username = $_GET['username'];		$username = strtolower($username);
                $thehe = $_GET['thehe'];          $thehe = abs(intval($thehe));
                $password = $_GET['password'];
                $quest = $_GET['quest'];	$quest = abs(intval($quest));
                $ans = $_GET['ans'];
                $sno_numb = $_GET['sno_numb'];	$sno_numb = abs(intval($sno_numb));
                $tel = $_GET['tel'];
				
				kiemtra_chu_so($username,"Tài khoản");
				kiemtra_so($thehe,"Thế hệ");
				kiemtra_chu_so($password,"Mật khẩu");
				kiemtra_so($quest,"Câu hỏi bí mật");
				kiemtra_chu_so($ans,"Câu trả lời bí mật");
				kiemtra_so($sno_numb,"7 số bí mật");
				kiemtra_so($tel,"Số điện thoại");
				
                $sdt_length = strlen($tel);
				$sdt_check = substr($tel, 0, 2);

			if ( $username == 'demo' )
				{
    				echo "<font size='2' color='red'>Không được đăng kí tài khoản Demo.</font>";
				}
            elseif ( $thehe == 0 )
				{
    				echo "<font size='2' color='red'>Thế hệ không hợp lệ.</font>";
				}
            elseif (strlen($sno_numb) != 7)
				{
    				echo "<font size='2' color='red'>Mã số bí mật yêu cầu 7 ký tự.</font>";
				}
			elseif ( $password == $username ) {
				echo "<font size='2' color='red'>Mật khẩu không được để giống tài khoản.</font>"; 
				}				
			elseif ( strlen($username) >10 ) {
				echo "<font size='2' color='red'>Tên tài khoản phải ít hơn 10 ký tự.</font>"; 
				}
			elseif ( strlen($username) >10 ) {
				echo "<font size='2' color='red'>Tên tài khoản phải nhiều hơn 4 ký tự.</font>"; 
				}
			elseif ( strlen($password) <4 || strlen($password) >10 ) {
				echo "<font size='2' color='red'>Mật khẩu phải từ 4-10 kí tự</font>"; 
				}
			elseif ( strlen($ans) <4) {
				echo "<font size='2' color='red'>Câu trả lời bí mật phải lớn hơn 4 ký tự.</font>"; 
				}
			elseif ( strlen($ans) >10 ) {
				echo "<font size='2' color='red'>Câu trả lời bí mật phải ít hơn 10 ký tự.</font>"; 
				}
			elseif ( $sdt_length == 10 ) {
                
                $sno_numb = abs(intval($sno_numb));
                $sno_numb_len = strlen($sno_numb);
                if($sno_numb_len < 7) {
                    for($i=0; $i<(7-$sno_numb_len); ++$i) {
                        $sno_numb = '0'. $sno_numb;
                    }
                }
                
                $getcontent_url = $server_url . "/do_register.php";
		        $getcontent_data = array(
		            'action'    =>  'register',
		            'username'    =>  $username,
		            'thehe'    =>  $thehe,
		            'password'    =>  $password,
		            'quest'    =>  $quest,
		            'ans'    =>  $ans,
                    'sno_numb'  =>  $sno_numb,
		            'tel'    =>  $tel,
		            'invite'    =>  $_SESSION['mu_invite'],
                    'ip'    =>  $ip_client,
					
		            'passtransfer'    =>  $passtransfer
		        ); 
		        
		        $show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

				if ( empty($show_reponse) ) echo "<font size='2' color='red'>Có lỗi trong quá trình xử lý.</font>";
				else {
					if ($show_reponse == 'OK') {
						switch ($quest)
						{
							case 1: $quest_choise = "Tên con vật yêu thích?";
								break;
							case 2: $quest_choise = "Trường cấp 1 của bạn tên gì?";
								break;
							case 3: $quest_choise = "Người bạn yêu quý nhất?";
								break;
							case 4: $quest_choise = "Trò chơi bạn thích nhất?";
								break;
							case 5: $quest_choise = "Nơi để lại kỉ niệm khó quên nhất?";
								break;
						}
                        
                        $thehe_title = $thehe_choise[$thehe];

                    //echo $username;
                    // or
                    $str = '<div class="appriseOverlay" id="aOverlay" style="height: 1965px; width: 1903px; display: block; "></div>
                    <div class="appriseOuter" style="background: #ffffff;top: 200px;width: 600px;height: 330px;left: 50%;margin-left: -300px;display: block;"><center><strong>
                            <span style="color:#09ff00;"><b>Đăng kí thành công :</b></span><br>
                            Tài khoản : <b>' . $username . '</b><br>
                            Mật khẩu Game : <b>' . $password . '</b><br>
                            Mật khẩu Web : <b>' . $password . '</b><br>
                            Tài khoản : <b>' . $ans . '</b><br>
                            Tài khoản : <b>' . $sno_numb . '</b><br>
                            Tài khoản : <b>' .$tel . '</b><br><br>
                            
                            Bạn sẽ chuyển hướng sau 5 giây.<br><br>
                            
                            <em>' . $muname . '<br>ch&uacute;c bạn chơi game vẻ .</em>
                    </center>
                        
                    </div>
                    </div>';
                    
                    echo $str . "<META HTTP-EQUIV='refresh' CONTENT='5; URL=#register'>";
                    
    				}
					else { 
						echo "<font size='2' color='red'>$show_reponse</font>"; 
					}
				}
            }
            else { echo "<font size='2' color='red'>Số Điện thoại không đúng.</font>"; }
		} else { echo "<font size='2' color='red'>Dữ liệu lỗi - Mã kiểm tra không chính xác.</font>";}
	}
?>